Last modified: 2014-11-17 10:35:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18700 - Link to section does not work in edit summaries in case of multiple sections with the same name
Link to section does not work in edit summaries in case of multiple sections ...
Status: RESOLVED DUPLICATE of bug 2831
Product: MediaWiki
Classification: Unclassified
Page editing (Other open bugs)
unspecified
All All
: Low enhancement with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
: 36512 (view as bug list)
Depends on:
Blocks: 5019 section-editing
  Show dependency treegraph
 
Reported: 2009-05-06 20:09 UTC by Daniel Tar
Modified: 2014-11-17 10:35 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Daniel Tar 2009-05-06 20:09:02 UTC
If I add or edit a section on a page, where are multiple sections with the same name, the edit summary always links to the first section, not the second, third etc.

Example: I've added a second Ellenőrzőműhely section to this talk page, and the arrow in the beginning links to the bad section (the first):
http://hu.wikipedia.org/w/index.php?title=Szerkeszt%C5%91vita%3AHkoala&diff=5410244&oldid=5409872

Later I had to reply, but the error occours again:
http://hu.wikipedia.org/w/index.php?title=Szerkeszt%C5%91vita:Hkoala&diff=next&oldid=5410244
Comment 1 Church of emacs 2009-05-06 20:23:47 UTC
This bug is related to bug 00111. MediaWiki deals badly with multiple identically-named sections, the whole system really needs to be fixed.
Comment 2 Chad H. 2009-05-06 20:48:05 UTC

*** This bug has been marked as a duplicate of bug 111 ***
Comment 3 Daniel Tar 2009-05-06 20:53:13 UTC
Why dupe? It's just related, not the same as bug 111... It's about edit summary problems, there is no even single a word (except  church.of.emacs.ml@gmail.com's note about this bug) about it.
Comment 4 Chad H. 2009-05-06 20:55:30 UTC
It's the exact same problem: poor handling of articles with multiple sections of the same name.
Comment 5 Daniel Tar 2009-05-06 21:04:05 UTC
Same problem, but not exact match: bug 111 is about jumping to bad sections after editing, this is about false edit summaries. Anyway, this bug is not created because I want an immediate solution, just to draw attention to the existence of it, because there were no such bug. I set priority to low, and I think it does not hurts anybody.
Comment 6 Brion Vibber 2009-05-06 22:26:19 UTC
Adding tracking bug 5019.
Comment 7 Aryeh Gregor (not reading bugmail, please e-mail directly) 2009-05-06 23:48:33 UTC
This is a separate bug, it's separate code paths.  Bug 111 is easier to fix, since you should be able to just grab the section number from the parser when you save.  This bug is entirely different to fix, and considerably more troublesome.  You'd have to store some extra data with the section name to know which section to jump to.

The whole way we store section anchors for edit summaries is really fragile anyway.  Try editing a section whose name contains the string "*/".  Or for that matter, try adding /* C-style comments */ to your edit summary -- they turn into weird-looking links (uselessly, since you could just do [[Pagename#Section]] for a normal link; we could probably arrange for [[#Section]] to work too).  There are probably other failure cases too.

It might be better not to store the section anchors in-band at all.  rev_section and rev_section_number, maybe?  That would require UI changes too to work as desired.  Seems like a lot of work for a fairly minor thing.
Comment 8 db [inactive,noenotif] 2012-05-05 19:18:31 UTC
*** Bug 36512 has been marked as a duplicate of this bug. ***
Comment 9 Bartosz Dziewoński 2013-05-22 18:31:42 UTC

*** This bug has been marked as a duplicate of bug 2831 ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links